Huaying Technology Logo
BackC-Series IP Phones

C Series IP PhonesProduct Brochure

C62U/C62UP

Entry-level for SMEs

Product Details

C62U/C62UP Product Image

Product Overview

The C62 series IP phones feature a 240x320 resolution color backlit LCD screen, offering easy installation, simple configuration, and user-friendly operation. They support 6 SIP accounts and conferencing for up to 5 participants. When paired with an IPPBX, they deliver rich business functionality.

The Dingxin Tongda C62 series is an entry-level, versatile HD IP phone designed for ease of use and exceptional value across diverse environments. It delivers superior HD voice quality and a rich set of telephony features, perfectly meeting the needs of small and medium-sized businesses, call centers, and industry-specific users.

Other models in the same series

Key Features

  • 240x320 Pixel LCD Color Backlit Display (2.4 inch)
  • 30 keys, including 4 soft keys and 9 programmable keys
  • 2*10/100/1000Mbps Gigabit Ethernet Interface

Technical Features

  • 240x320 Pixel LCD Color Backlit Display (2.4 inch)
  • 30 keys, including 4 soft keys and 9 programmable keys
  • Configurable Ring Mode
  • NTP Time Synchronization
  • Upgrade software via web
  • Configure Backup/Restore
  • Wall-mountable
  • SIP v1 (RFC2543), v2 (RFC3261)
  • Address Call
  • Redial, Callback
  • Busy Transfer / Consultation Transfer
  • Hold, Mute, Do Not Disturb
  • Call Forwarding
  • Call Waiting

Technical Specifications (1Item

DTMF Mode
In-Band, RFC2833, and SIP

Content is compiled from publicly available technical documentation. Specifications and configurations are subject to final factory settings and selection lists. Prices are not included; please inquire for pricing.

Beijing ICP License No. 2026026760